/******************************************************************************
 * Functions for position system:
 *****************************************************************************/

#include "iar.h"
#include "coordinate.h"
#include "my_stdio.h"
#include "encoders.h"


int com_getraw(int fd_out, char * name)
{
	fd_printf(fd_out,"%5d %5d\n", 
		  get_encoder(0), get_encoder(1) );

	return 0;
}

int com_set_zero(int fd_out, char * name)
{
	char *cm;

	cm = stripwhite(name);
	switch( str2cord_type(cm) ){
	case DEC_CASE:
		fd_printf(fd_out,"# set declination encoder to 0.\n");
		return encoder_set_zero(encoder_num[DEC_CASE]);
	case RA_CASE:
		fd_printf(fd_out,"# set right accession encoder to 0.\n");
		return encoder_set_zero(encoder_num[RA_CASE]);
	default:
		fd_printf(fd_out,"# set zero: argument error: %s\n", cm);
		return -1;
	}
}


int com_set_cw(int fd_out, char * name)
{
	char *cm;

	cm = stripwhite(name);
	switch( str2cord_type(cm) ){
	case DEC_CASE:
		fd_printf(fd_out,
			  "# set dec. encoder to clockwhise increment.\n");
		return encoder_set_cw(encoder_num[DEC_CASE]);
	case RA_CASE:
		fd_printf(fd_out,
			  "# set ra encoder to clockwhise increment.\n");
		return encoder_set_cw(encoder_num[RA_CASE]);
	default:
		fd_printf(fd_out,"# set cw: argument error: %s\n", cm);
		return -1;
	}
}


int com_set_ccw(int fd_out, char * name)
{
	char *cm;

	cm = stripwhite(name);
	switch( str2cord_type(cm) ){
	case DEC_CASE:
		fd_printf(fd_out,
			  "# set dec. encoder to counter clockwhise increment.\n");
		return encoder_set_ccw(encoder_num[DEC_CASE]);
	case RA_CASE:
		fd_printf(fd_out,
			  "# set ra encoder to counter clockwhise increment.\n");
		return encoder_set_ccw(encoder_num[RA_CASE]);
	default:
		fd_printf(fd_out,"# set ccw: argument error: %s\n", cm);
		return -1;
	}
}

